<!DOCTYPE html5>
<html>
<head>
  <link href="default.css?v=3.3.2" type="text/css" rel="stylesheet"/>
  <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Oxygen+Mono" rel="stylesheet">
  <meta name="viewport" content="initial-scale=1, maximum-scale=1">
  <meta name="author" content="Joseph McLaughlin">
  <meta charset="UTF-8"/>
<title>Joseph McLaughlin</title>
</head>
<body>
  <input type="radio" id="about-ctrl" name="content-selector" class="no-display"></input>
  <input type="radio" id="code-ctrl" name="content-selector" class="no-display"></input>
  <input type="radio" id="blog-ctrl" name="content-selector" class="no-display"></input>
  <input type="radio" id="connect-ctrl" name="content-selector" class="no-display"></input>
  <input type="radio" id="root-control" name="content-selector" class="no-display" checked></input>
  <!--<input type="checkbox" id="root-control"></input>-->
  <div class="heading center-align">
    <label class="item title root" for="root-control">Joseph McLaughlin</label>
    <label class="item unselectable load-card" for="about-ctrl">about</label>
    <label class="item unselectable load-card" for="code-ctrl">code</label>
    <label class="item unselectable load-card" for="blog-ctrl">blog</label>
    <label class="item unselectable connect load-card" for="connect-ctrl">connect</label>
  </div>
  <div class="cont">
      <div class="card" id="about-card">
        <span style="font-weight:600">Hello!</span> I'm Joseph, and I work as a
        software engineer for <a href="http://www.datalogic.com/">Datalogic</a> in Eugene, Oregon.
        <br>
        <br>
        As a student at The University of Oregon I worked for <a href="https://www.marketofchoice.com/">Market of Choice</a>
        developing software for product management.
        <br>
        <br>
        I'm really interested in compilers and data visualization.
        <label for="connect-ctrl" style="font-style:italic"><a>
        Feel free to get in touch with me!
        </a></label>
        <br>
        <br>

      </div>
      <div class="card" id="code-card">
        <h2 style="font-weight:bold;"><a href="https://github.com/josephmcl/labyrinth">Labyrinth</a></h2>
        <img src="img/maze.png?1004" id="lab-img"></img>
        Labyrinth is a circular maze generator written in python3.
        Each maze labyrinth generates has one path from the exterior to the center.
        It implements a minimal spanning tree to represent the maze.
        If this maze looks super cool to you have a look at <a href="https://github.com/josephmcl/labyrinth">the repo</a>,
        (but please don't bother solving it.)
        <br>
        <br>
        <h2 style="font-weight:bold;"><a href="https://github.com/josephmcl/quack">Quack</a></h2>
        Quack is a simple object oriented, type-inferred programming language.
        It's still in its early design stages.
        Right now, quack programs compile to a C binary.
      </div>
      <div class="card" id="blog-card" style="text-align: center">
        There's nothing here...
      </div>
      <div class="card" id="connect-card">
        <div class="social">
        <a href="mailto:contact@josephmcl.me" id="ma">
        <svg class="social-svg" viewBox="-5 -5 35 35">
          <path style="fill:white;" d="M20,8L12,13L4,8V6L12,11L20,6M20,4H4C2.89,4 2,4.89 2,6V18A2,2 0 0,0 4,20H20A2,2 0 0,0 22,18V6C22,4.89 21.1,4 20,4Z">
          </path>
        </svg></a>
        <a href="https://www.linkedin.com/in/josephmcl/" id="li">
        <svg class="social-svg" viewBox="-13 -12 50 50">
          <path style="fill:#0077B5;" d="M20.447 20.452h-3.554v-5.569c0-1.328-.027-3.037-1.852-3.037-1.853 0-2.136 1.445-2.136 2.939v5.667H9.351V9h3.414v1.561h.046c.477-.9 1.637-1.85 3.37-1.85 3.601 0 4.267 2.37 4.267 5.455v6.286zM5.337 7.433c-1.144 0-2.063-.926-2.063-2.065 0-1.138.92-2.063 2.063-2.063 1.14 0 2.064.925 2.064 2.063 0 1.139-.925 2.065-2.064 2.065zm1.782 13.019H3.555V9h3.564v11.452zM22.225 0H1.771C.792 0 0 .774 0 1.729v20.542C0 23.227.792 24 1.771 24h20.451C23.2 24 24 23.227 24 22.271V1.729C24 .774 23.2 0 22.222 0h.003z">
          </path>
        </svg></a>

        <a href="https://github.com/josephmcl">
        <svg class="social-svg" viewBox="-13 -12 50 50" id="gh">
          <title>github</title>
          <path style="fill:#181717;" d="M12 .297c-6.63 0-12 5.373-12 12 0 5.303 3.438 9.8 8.205 11.385.6.113.82-.258.82-.577 0-.285-.01-1.04-.015-2.04-3.338.724-4.042-1.61-4.042-1.61C4.422 18.07 3.633 17.7 3.633 17.7c-1.087-.744.084-.729.084-.729 1.205.084 1.838 1.236 1.838 1.236 1.07 1.835 2.809 1.305 3.495.998.108-.776.417-1.305.76-1.605-2.665-.3-5.466-1.332-5.466-5.93 0-1.31.465-2.38 1.235-3.22-.135-.303-.54-1.523.105-3.176 0 0 1.005-.322 3.3 1.23.96-.267 1.98-.399 3-.405 1.02.006 2.04.138 3 .405 2.28-1.552 3.285-1.23 3.285-1.23.645 1.653.24 2.873.12 3.176.765.84 1.23 1.91 1.23 3.22 0 4.61-2.805 5.625-5.475 5.92.42.36.81 1.096.81 2.22 0 1.606-.015 2.896-.015 3.286 0 .315.21.69.825.57C20.565 22.092 24 17.592 24 12.297c0-6.627-5.373-12-12-12">
          </path>
        </svg></a>
        </div>
        </div>
      </div>
  </div>
  <!--<div class="content"></div>-->
</body>
</html>